Fix stray archive detection bug
Closed, ResolvedPublic

Description

With IABot now editing untagged sources, an old but masked bug has shown up. The bot does not gracefully handle lonesome archive templates and will think that the URL inside the template is a bare URL. As such, it tries to convert it a cite template, which ends up seriously mangling the reference.

Restricted Application added a subscriber: Zppix. · View Herald TranscriptJul 14 2016, 9:57 AM

The parser now extracts the stray archive, but the internal analyzer raises the red flag for the link, meaning igonre. I'm confident with how advanced this bot is, the bot should be able to start handling some of those.~~~~

Cyberpower678 closed this task as Resolved.Jul 15 2016, 8:37 AM
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Jul 19 2016, 6:11 PM